<template>
  <v-snackbar
    top
    v-model="showModal"
    :color="type"
    :timeout="3500"
    @input="closeToast"
  >
    {{ message }}
  </v-snackbar>
</template>
<script lang="ts">
import { Component, Vue, Prop, Watch } from 'vue-property-decorator'
@Component({ components: {} })
export default class Toast extends Vue {
  @Prop({ default: false }) snackbar!: boolean
  @Prop({ default: 'success' }) type!: string
  @Prop() message!: string

  showModal = false

  closeToast() {
    this.$emit('toast-updated')
  }
  @Watch('snackbar')
  onChanged() {
    this.showModal = this.snackbar
  }
}
</script>
